org.deidentifier.arx.framework.check.transformer

## Class Transformer04

- java.lang.Object
- - org.deidentifier.arx.framework.check.transformer.AbstractTransformer
  - - org.deidentifier.arx.framework.check.transformer.Transformer04

All Implemented Interfaces:
  java.util.concurrent.Callable<HashGroupify>

    public class Transformer04
    extends AbstractTransformer

The class Transformer04.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`Transformer04(DataMatrix data, GeneralizationHierarchy[] hierarchies, DataMatrix dataAnalyzed, int dataAnalyzedNumberOfColumns, IntArrayDictionary dictionarySensValue, IntArrayDictionary dictionarySensFreq, ARXConfiguration.ARXConfigurationInternal config)` Instantiates a new transformer.

### Method Summary

### Methods inherited from class org.deidentifier.arx.framework.check.transformer.AbstractTransformer

`call, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Transformer04

    public Transformer04(DataMatrix data,
                         GeneralizationHierarchy[] hierarchies,
                         DataMatrix dataAnalyzed,
                         int dataAnalyzedNumberOfColumns,
                         IntArrayDictionary dictionarySensValue,
                         IntArrayDictionary dictionarySensFreq,
                         ARXConfiguration.ARXConfigurationInternal config)

Instantiates a new transformer.

Parameters:
  `data` - the data
  `hierarchies` - the hierarchies
  `dataAnalyzed` -
  `dataAnalyzedNumberOfColumns` -
  `dictionarySensValue` -
  `dictionarySensFreq` -
  `config` -